Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.generator.configuration.option
Class XmlOptionsSaxHandlerFactory

    java.lang.Object
      org.apache.torque.generator.configuration.option.XmlOptionsSaxHandlerFactory

All Implemented Interfaces:
  OptionsSaxHandlerFactory

    public class XmlOptionsSaxHandlerFactory

extends Object
implements OptionsSaxHandlerFactory

A Factory which creates a SAX handler for XML Options.

Constructor Summary
`XmlOptionsSaxHandlerFactory()`

Method Summary
`FileOptionsSaxHandler` | `getOptionsSaxHandler()` Returns a FileOptionsSaxHandler for reading the configuration of XML options.
`String` | `getType()` Returns the options type which can be handled by the OptionsSaxHandlers created by this factory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlOptionsSaxHandlerFactory

    public XmlOptionsSaxHandlerFactory()

Method Detail

### getType

    public String getType()

  Returns the options type which can be handled by the OptionsSaxHandlers created by this factory.

  Specified by:
    `getType` in interface `OptionsSaxHandlerFactory`
  Returns:
    "xmlOptions".

### getOptionsSaxHandler

    public final FileOptionsSaxHandler getOptionsSaxHandler()
                                                     throws SAXException

  Returns a FileOptionsSaxHandler for reading the configuration of XML options.

  Specified by:
    `getOptionsSaxHandler` in interface `OptionsSaxHandlerFactory`
  Returns:
    a new FileOptionsSaxHandler.
  Throws:
    `SAXException` - if the SAX Handler for the options can not be created from the given XML element.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.